# flsend

Simple tool to send message to fluent

## Building


```sh
go install go.ar76.eu/arek/flsend@latest
```

## Usage

Parameters:

```
Usage of flsend:
  -host string
        Fluentd address (default "localhost")
  -port int
        Fluentd port (default 24224)
  -prefix string
        Tag preffix (application name) (default "flsend")
  -tag string
        Message tag (required)
```

Message is read from the standard input and send to fluentd with tag composed of{prefix}.{tag}.

Eg.

```sh
echo '{"msg": "Message description"}' | flsend -host 10.10.10.10 -tag test
```

saves the message in fluentd as

```
2023-03-14T16:10:54+00:00       flsend.test        {"msg":"Message description"}
```
